== Lego Birdhouse ==

The birdhouse was created with version 4.3.6 of Lego Digital Designer for the Mac. 

http://ldd.lego.com/

Note: The software is relatively touchy about opening this model.

The size of this model comes from two sources: it's basically the same size as the original wooden version from the Twitter offices, which completely coincidentally is within 1/2" in both dimensions of nine 16x16 LEGO plates, in a 3 by 3 grid (this is the base of the model). The computer we place into the house, running the Twisitor software, is a 13" MacBook Pro. At this width, a right-angle USB cable is required to connect the camera to the USB port on the left side of the MacBook Pro (this wouldn't be necessary on a smaller laptop, like an 11" MacBook Air).

=== Building Notes ==

The 1.0 version of the LEGO Twisitor house was very much a learning endeavor.

Here are a few things I noted while assembling it:

* height: the built model is roughly six bricks 'shorter' than this version. this was an aesthetic choice as I was constructing the house, with the 13" MacBook Pro on hand to do modeling duties. The software model is the same height as the wooden birdhouse in the Twitter offices, except the wooden version has a 1.5" base deck for the MacBook Pro to rest on...hence the aesthetic removal of some of the height of this model.
* PVC cement and warping: The model was built from the bottom up. Every single one of the floor tiles is PVC Cement-ed to the base plates...and note the tiles are offset by one (so they all cross the boundaries of the 16x16 base plates on which everything rests, for rigidity). After letting the base rest for 24 hours, it began to warp - this is a theme that recurs throughout construction.
* the original intent was for this model to come apart into six or seven relatively flat pieces for easy movement to recruiting and other public events where Twitter might want to place the tweeting birdhouse. however, due to consistent warping caused by the PVC cement (which slightly "melts" the LEGO bricks together - that's how solvents work, people), the 1.0 build is a single mostly-solid and mostly-glued piece.
* learning from the base, the two side and one large back wall are mostly not glued - they are glued to the base, and around the outsides, and at the top, but the 'flex' that the unglued walls provide actually allow the completely glued roof tile system to flex enough that the entire model is actually buildable in real life (there's no way the back pieces, which is a 'ladder' join, would actually be able to be fit together by humans if they were anything but permanently attached.
* yes, the roof is completely glued, one roof tile at a time, and yes, the model has no roof joists for rigidity. it actually works this way...but I found it easier as I was going along to glue in cross-members to hold the roof pieces a consistent distance apart (the warping on the roof is really challenging but gives the roof a nice uneven 'shingled' experience when built). you'll also need something to mount the camera to - I see this piece as wholly custom to the camera you choose to mount, so I didn't put my roof joist and camera mount into the plan.
* again due to the consistent warping, since I built the back wall, and the front 'entrance' to the birdhouse at separate times, the 1.0 model I built does not 'join' the top of the birdhouse at all - the as-built model has it 'floating' about a half-brick below the roof. With multiple hands building the model, moving faster, before the solvent sets, this could have been avoided (there may also be a master builder 'trick' to maintain a consistent 0.1mm gap in three dimensions across the roof - I am in no way a LEGO master builder).

Other than the above notes, the traveling birdhouse we now use is build just like the accompanying LXF file. 

Enjoy!